<?php

//création d'un paramétrage pour l'ordre d'affichage des retards
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_retards_ordre'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_retards_ordre', 'div', 'Ordre d''affichage des retards de prêts par défaut.')");
}

// Ajout d'une colonne todate dans la table ".$prefix."_freqresref
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freqresref ADD todate DATE NOT NULL");

//création d'un paramétrage pour une période de refus de réservations
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_resref_date'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_resref_date', '0', 'Nombre de jours pour l''automatisation de période de refus de réservation.')");
}

// Ajout d'une colonne edt dans la table ".$prefix."_user
mysqli_query($bdd,"ALTER TABLE ".$prefix."_user ADD edt INT (11) DEFAULT NULL");
// Remplissage pour les profils existants
$users = mysqli_query($bdd,"SELECT * FROM ".$prefix."_user");
foreach ($users as $user) {
	if(substr($user['droits'],2,1)=='2') { $edt = 1; }
	else { $edt = 0; }
	mysqli_query($bdd,"UPDATE ".$prefix."_user SET edt = '".$edt."' WHERE id = '".$user['id']."'");
}

// création de la table _espaces
mysqli_query($bdd,"CREATE TABLE IF NOT EXISTS ".$base.".".$prefix."_espaces (espace_id INT ( 11 ) NOT NULL AUTO_INCREMENT , espace_nom VARCHAR ( 30 ) COLLATE utf8_unicode_ci NOT NULL, seuilnbi INT( 11 ) DEFAULT NULL, seuilreaci VARCHAR ( 30 ) COLLATE utf8_unicode_ci DEFAULT NULL, seuilnbr INT( 11 ) DEFAULT NULL, seuilreacr VARCHAR ( 30 ) COLLATE utf8_unicode_ci DEFAULT NULL, espace_bg VARCHAR ( 30 ) COLLATE utf8_unicode_ci DEFAULT NULL, default_espace INT( 11 ) DEFAULT NULL, PRIMARY KEY ( espace_id ) ) ENGINE = MYISAM DEFAULT CHARSET = utf8 COLLATE = utf8_unicode_ci;");
// Ajout d'une colonne espace_id dans la table ".$prefix."_freq
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freq ADD espace_id INT (11) DEFAULT NULL");
// Ajout d'une colonne espace_id la table ".$prefix."_freqres
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freqres ADD espace_id INT (11) DEFAULT NULL");
// Ajout d'une colonne espace_id la table ".$prefix."_freqgrappes
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freqgrappes ADD espace_id INT (11) DEFAULT NULL");
//création d'un paramétrage pour la gestion des différents espaces
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'espaces_gestion'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('espaces_gestion', '0', 'Gestion de différents espaces.')");
}
//création d'un paramétrage pour le nom de l'espace principal
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'espaces_first'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('espaces_first', 'CDI', 'Nom de l\'espace principal en cas de gestion de différents espaces.')");
}
//création d'un paramétrage pour le verrouillage de l'espace par défaut
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_verrespace'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_verrespace', '0', 'Option de verrouillage de l\'espace par défaut.')");
}

// modèle par défaut pour les codes-barres (correctif, vérification)
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_barcodes WHERE nom = 'default' AND typusage = 'eleve'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_barcodes (nom, typusage, format, nbwidth, nbheight, type, margextg, margextd, margexth, margextb, margintg, margintd, marginth, margintb, textup, textspe, textupsize, fontsize) VALUES ('default', 'eleve', 'P', '5', '13', 'C128B', '10', '10', '11', '10', '4', '4', '6', '6', '1', '', '3', '6')");
}

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.28' WHERE param_nom = 'version_bdd'");

?>